Hi all,
Find below a small update for bzr.eclass.

Sometimes it is convenient to unpack the sources in a location
different from ${WORKDIR}/${P}. The patch makes this configurable via
a new EBZR_UNPACK_DIR variable. The default location doesn't change,
so there should be no issues with backwards compatibility.

Please review.

Ulrich


--- bzr.eclass  18 Sep 2012 06:41:45 -0000      1.19
+++ bzr.eclass  7 Jul 2013 17:47:06 -0000
@@ -41,6 +41,11 @@
 # The directory to store all fetched Bazaar live sources.
 : ${EBZR_STORE_DIR:=${PORTAGE_ACTUAL_DISTDIR:-${DISTDIR}}/bzr-src}
 
+# @ECLASS-VARIABLE: EBZR_UNPACK_DIR
+# @DESCRIPTION:
+# The working directory where the sources are copied to.
+: ${EBZR_UNPACK_DIR:=${WORKDIR}/${P}}
+
 # @ECLASS-VARIABLE: EBZR_INIT_REPO_CMD
 # @DESCRIPTION:
 # The Bazaar command to initialise a shared repository.
@@ -261,13 +266,14 @@
        if [[ -n ${EBZR_WORKDIR_CHECKOUT} ]]; then
                einfo "checking out ..."
                ${EBZR_CHECKOUT_CMD} ${EBZR_REVISION:+-r ${EBZR_REVISION}} \
-                       . "${WORKDIR}/${P}" || die "${EBZR}: checkout failed"
+                       . "${EBZR_UNPACK_DIR}" || die "${EBZR}: checkout failed"
        else
                einfo "exporting ..."
                ${EBZR_EXPORT_CMD} ${EBZR_REVISION:+-r ${EBZR_REVISION}} \
-                       "${WORKDIR}/${P}" . || die "${EBZR}: export failed"
+                       "${EBZR_UNPACK_DIR}" . || die "${EBZR}: export failed"
        fi
-       einfo "revision ${EBZR_REVISION:-${EBZR_REVNO}} is now in 
${WORKDIR}/${P}"
+       einfo \
+               "revision ${EBZR_REVISION:-${EBZR_REVNO}} is now in 
${EBZR_UNPACK_DIR}"
 
        popd > /dev/null
 }

Attachment: pgp5HPSEL28aX.pgp
Description: PGP signature

Reply via email to